Modifiers
13 API calls in this section.
Create Modifier Group
/restaurant/modifier-groups1curl --request POST "$ONDI_BASE_URL/restaurant/modifier-groups" \2 --header "Authorization: Bearer {{access_token}}" \3 --header "Content-Type: application/json" \4 --data '{5 "location_id": "{{location_id}}",6 "name": {7 "en": "Sauces"8 },9 "required": false,10 "min_select": 0,11 "max_select": 2,12 "active": true,13 "options": [14 {15 "name": {16 "en": "Ketchup"17 },18 "price_delta": 0,19 "allows_quantity": false,20 "active": true21 },22 {23 "name": {24 "en": "Mayo"25 },26 "price_delta": 0.2,27 "allows_quantity": false,28 "active": true29 }30 ]31}'1{2 "location_id": "{{location_id}}",3 "name": {4 "en": "Sauces"5 },6 "required": false,7 "min_select": 0,8 "max_select": 2,9 "active": true,10 "options": [11 {12 "name": {13 "en": "Ketchup"14 },15 "price_delta": 0,16 "allows_quantity": false,17 "active": true18 },19 {20 "name": {21 "en": "Mayo"22 },23 "price_delta": 0.2,24 "allows_quantity": false,25 "active": true26 }27 ]28}Request body fields
location_idExampleExample field from the request body.
nameExampleExample field from the request body.
name.enExampleExample field from the request body.
requiredExampleExample field from the request body.
min_selectExampleExample field from the request body.
max_selectExampleExample field from the request body.
activeExampleExample field from the request body.
optionsExampleExample field from the request body.
options.nameExampleExample field from the request body.
options.name.enExampleExample field from the request body.
options.price_deltaExampleExample field from the request body.
options.allows_quantityExampleExample field from the request body.
options.activeExampleExample field from the request body.
Headers
AuthorizationOptionalBearer {{access_token}}
Responses
No response example is available for this endpoint yet.
Update Modifier Group (with options upsert)
/restaurant/modifier-groups/:id1curl --request PUT "$ONDI_BASE_URL/restaurant/modifier-groups/:id" \2 --header "Authorization: Bearer {{access_token}}" \3 --header "Content-Type: application/json" \4 --data '{5 "name": {6 "en": "Sauces"7 },8 "required": true,9 "min_select": 1,10 "max_select": 2,11 "active": true,12 "options": [13 {14 "id": "{{option_id_1}}",15 "name": {16 "en": "Ketchup"17 },18 "price_delta": 0.1,19 "allows_quantity": false,20 "active": true21 },22 {23 "name": {24 "en": "BBQ"25 },26 "price_delta": 0.3,27 "allows_quantity": false,28 "active": true29 }30 ]31}'1{2 "name": {3 "en": "Sauces"4 },5 "required": true,6 "min_select": 1,7 "max_select": 2,8 "active": true,9 "options": [10 {11 "id": "{{option_id_1}}",12 "name": {13 "en": "Ketchup"14 },15 "price_delta": 0.1,16 "allows_quantity": false,17 "active": true18 },19 {20 "name": {21 "en": "BBQ"22 },23 "price_delta": 0.3,24 "allows_quantity": false,25 "active": true26 }27 ]28}Path parameters
idRequiredRequest body fields
nameExampleExample field from the request body.
name.enExampleExample field from the request body.
requiredExampleExample field from the request body.
min_selectExampleExample field from the request body.
max_selectExampleExample field from the request body.
activeExampleExample field from the request body.
optionsExampleExample field from the request body.
options.idExampleExample field from the request body.
options.nameExampleExample field from the request body.
options.name.enExampleExample field from the request body.
options.price_deltaExampleExample field from the request body.
options.allows_quantityExampleExample field from the request body.
options.activeExampleExample field from the request body.
Headers
AuthorizationOptionalBearer {{access_token}}
Responses
No response example is available for this endpoint yet.
Create Modifier Option
/restaurant/modifier-groups/:groupId/options1curl --request POST "$ONDI_BASE_URL/restaurant/modifier-groups/:groupId/options" \2 --header "Authorization: Bearer {{access_token}}" \3 --header "Content-Type: application/json" \4 --data '{5 "name": {6 "en": "Ketchup"7 },8 "price_delta": 0,9 "allows_quantity": false,10 "active": true11}'1{2 "name": {3 "en": "Ketchup"4 },5 "price_delta": 0,6 "allows_quantity": false,7 "active": true8}Path parameters
groupIdRequiredRequest body fields
nameExampleExample field from the request body.
name.enExampleExample field from the request body.
price_deltaExampleExample field from the request body.
allows_quantityExampleExample field from the request body.
activeExampleExample field from the request body.
Headers
AuthorizationOptionalBearer {{access_token}}
Responses
No response example is available for this endpoint yet.
Update Modifier Option
/restaurant/modifier-options/:id1curl --request PUT "$ONDI_BASE_URL/restaurant/modifier-options/:id" \2 --header "Authorization: Bearer {{access_token}}" \3 --header "Content-Type: application/json" \4 --data '{5 "name": {6 "en": "Ketchup"7 },8 "price_delta": 0.25,9 "allows_quantity": true,10 "active": true11}'1{2 "name": {3 "en": "Ketchup"4 },5 "price_delta": 0.25,6 "allows_quantity": true,7 "active": true8}Path parameters
idRequiredRequest body fields
nameExampleExample field from the request body.
name.enExampleExample field from the request body.
price_deltaExampleExample field from the request body.
allows_quantityExampleExample field from the request body.
activeExampleExample field from the request body.
Headers
AuthorizationOptionalBearer {{access_token}}
Responses
No response example is available for this endpoint yet.
Link Group to Product
/restaurant/products/:productId/modifier-groups/:groupId1curl --request POST "$ONDI_BASE_URL/restaurant/products/:productId/modifier-groups/:groupId" \2 --header "Authorization: Bearer {{access_token}}" \3 --header "Content-Type: application/json" \4 --data '{5 "sort_order": 06}'1{2 "sort_order": 03}Path parameters
productIdRequiredgroupIdRequiredRequest body fields
sort_orderExampleExample field from the request body.
Headers
AuthorizationOptionalBearer {{access_token}}
Responses
No response example is available for this endpoint yet.
Unlink Group from Product
/restaurant/products/:productId/modifier-groups/:groupId1curl --request DELETE "$ONDI_BASE_URL/restaurant/products/:productId/modifier-groups/:groupId" \2 --header "Authorization: Bearer {{access_token}}"Path parameters
productIdRequiredgroupIdRequiredHeaders
AuthorizationOptionalBearer {{access_token}}
Responses
No response example is available for this endpoint yet.
Get Modifier Group (with options)
/restaurant/modifier-groups/:id1curl --request GET "$ONDI_BASE_URL/restaurant/modifier-groups/:id" \2 --header "Authorization: Bearer {{access_token}}"Path parameters
idRequiredHeaders
AuthorizationOptionalBearer {{access_token}}
Responses
No response example is available for this endpoint yet.
List Modifier Groups (with options, by location)
/restaurant/locations/{{location_id}}/modifier-groups?page={{page}}&limit={{limit}}1curl --request GET "$ONDI_BASE_URL/restaurant/locations/{{location_id}}/modifier-groups?page={{page}}&limit={{limit}}" \2 --header "Authorization: Bearer {{access_token}}"Path parameters
location_idRequiredVariable used inside the request path.
Query parameters
pageOptional{{page}}
limitOptional{{limit}}
Headers
AuthorizationOptionalBearer {{access_token}}
Responses
No response example is available for this endpoint yet.
Get Product Modifier Groups (with options)
/restaurant/products/:productId/modifier-groups?page=1&limit=201curl --request GET "$ONDI_BASE_URL/restaurant/products/:productId/modifier-groups?page=1&limit=20" \2 --header "Authorization: Bearer {{access_token}}"Path parameters
productIdRequiredQuery parameters
pageOptional1
limitOptional20
Headers
AuthorizationOptionalBearer {{access_token}}
Responses
No response example is available for this endpoint yet.
Delete Modifier Group
/restaurant/modifier-groups/:id1curl --request DELETE "$ONDI_BASE_URL/restaurant/modifier-groups/:id" \2 --header "Authorization: Bearer {{access_token}}"Path parameters
idRequiredHeaders
AuthorizationOptionalBearer {{access_token}}
Responses
No response example is available for this endpoint yet.
Get Modifier Option
/restaurant/modifier-options/:id1curl --request GET "$ONDI_BASE_URL/restaurant/modifier-options/:id" \2 --header "Authorization: Bearer {{access_token}}"Path parameters
idRequiredHeaders
AuthorizationOptionalBearer {{access_token}}
Responses
No response example is available for this endpoint yet.
List Modifier Options (by group)
/restaurant/modifier-groups/:groupId/options?page={{page}}&limit={{limit}}1curl --request GET "$ONDI_BASE_URL/restaurant/modifier-groups/:groupId/options?page={{page}}&limit={{limit}}" \2 --header "Authorization: Bearer {{access_token}}"Path parameters
groupIdRequiredQuery parameters
pageOptional{{page}}
limitOptional{{limit}}
Headers
AuthorizationOptionalBearer {{access_token}}
Responses
No response example is available for this endpoint yet.
Delete Modifier Option
/restaurant/modifier-options/:id1curl --request DELETE "$ONDI_BASE_URL/restaurant/modifier-options/:id" \2 --header "Authorization: Bearer {{access_token}}"Path parameters
idRequiredHeaders
AuthorizationOptionalBearer {{access_token}}
Responses
No response example is available for this endpoint yet.